欢迎使用全新的 WEEX API 文档。需要查看旧版本?切换到旧版文档
WEEX
WEEX 现货 REST API

公共行情

端点

获取最新成交价

获取最新成交价。

GET
/api/v3/market/ticker/price
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重4

获取最新成交价 › 查询参数

symbol
​string

单个交易对,与 symbols 互斥。

symbols
​array

多个交易对,支持逗号分隔或 JSON 数组。

获取最新成交价 › 响应

200

成功响应

symbol
​string

交易对。

price
​string

最新价格。


获取24小时价格变动情况

获取24小时价格变动情况。

GET
/api/v3/market/ticker/24hr
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重2

获取24小时价格变动情况 › 查询参数

symbol
​string

单个交易对,与 symbols 互斥。

symbols
​array

多个交易对,支持逗号分隔或 JSON 数组格式。

获取24小时价格变动情况 › 响应

200

成功响应

​object[]
symbol
​string

交易对。

priceChange
​string

24 小时价格变化。

priceChangePercent
​string

24 小时价格变化百分比。

lastPrice
​string

最新成交价。

bidPrice
​string

最优买价。

bidQty
​string

最优买量。

askPrice
​string

最优卖价。

askQty
​string

最优卖量。

openPrice
​string

24 小时开盘价。

highPrice
​string

24 小时最高价。

lowPrice
​string

24 小时最低价。

volume
​string

24 小时成交量(基础资产)。

quoteVolume
​string

24 小时成交额(计价资产)。

openTime
​integer

区间起始时间(毫秒)。

closeTime
​integer

区间结束时间(毫秒)。

count
​integer

24 小时成交笔数。


获取近期成交

获取近期成交。

GET
/api/v3/market/trades
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重25

获取近期成交 › 查询参数

symbol
​string · required

交易对,例如 BTCUSDT。

limit
​integer

返回条数,范围 1–1000,默认 100。

获取近期成交 › 响应

200

成功响应

​object[]
id
​string

成交编号。

price
​string

成交价格。

qty
​string

成交数量(基础资产)。

quoteQty
​string

成交额(计价资产)。

time
​integer

成交时间(毫秒)。

isBuyerMaker
​boolean

是否为买方挂单。

isBestMatch
​boolean

是否为当前最优撮合。


获取K线数据

获取K线数据。

GET
/api/v3/market/klines
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重2

获取K线数据 › 查询参数

symbol
​string · required

交易对,例如 BTCUSDT。

interval
​string · required

K线周期,例如 [1m,5m,15m,30m,1h,2h,4h,6h,8h,12h,1d,1w]。

获取K线数据 › 响应

200

成功响应

​array[]
array
index[0]
​integer

开盘时间(毫秒)。

Example: 1764505860000
index[1]
​string

开盘价。

Example: 68940.10
index[2]
​string

最高价。

Example: 68955.00
index[3]
​string

最低价。

Example: 68938.50
index[4]
​string

收盘价。

Example: 68952.40
index[5]
​string

成交量(基础资产)。

Example: 12.345
index[6]
​integer

收盘时间(毫秒)。

Example: 1764505919999
index[7]
​string

成交额(计价资产)。

Example: 850760.12
index[8]
​integer

成交笔数。

Example: 124
index[9]
​string

主动买入成交量(基础资产)。

Example: 6.789
index[10]
​string

主动买入成交额(计价资产)。

Example: 468123.77

获取历史K线

获取历史K线。

GET
/api/v3/market/historyKlines
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重5

获取历史K线 › 查询参数

symbol
​string · required

交易对,例如 BTCUSDT。

interval
​string · required

K线周期,可选:1m、5m、15m、30m、1h、2h、4h、6h、8h、12h、1d、1w。

startTime
​integer

起始时间(包含),有效的 Unix 毫秒时间戳,不能晚于当前时间。

endTime
​integer

结束时间(包含),有效的 Unix 毫秒时间戳,需 ≥ startTime 且不能晚于当前时间。

limit
​integer

返回的K线条数,范围 1-100,默认 100。

获取历史K线 › 响应

200

成功响应

​array[]
array
index[0]
​integer

开盘时间(毫秒)。

Example: 1763894400000
index[1]
​string

开盘价。

Example: 68000.0
index[2]
​string

最高价。

Example: 68550.0
index[3]
​string

最低价。

Example: 67810.0
index[4]
​string

收盘价。

Example: 68220.0
index[5]
​string

成交量(基础资产)。

Example: 320.456
index[6]
​integer

收盘时间(毫秒)。

Example: 1763908800000
index[7]
​string

成交额(计价资产)。

Example: 21874563.70
index[8]
​integer

成交笔数。

Example: 982
index[9]
​string

主动买入成交量(基础资产)。

Example: 180.120
index[10]
​string

主动买入成交额(计价资产)。

Example: 12345678.90

获取深度数据

获取深度数据。

GET
/api/v3/market/depth
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重5

获取深度数据 › 查询参数

symbol
​string · required

交易对,例如 BTCUSDT。

limit
​integer

返回深度档位,仅支持 15 或 200,默认 15。

获取深度数据 › 响应

200

成功响应

lastUpdateId
​integer

订单簿最新快照 ID。

​array[]

买单深度,元素为 [价格, 数量]。

​array[]

卖单深度,元素为 [价格, 数量]。


获取最优买卖价

获取最优买卖价。

GET
/api/v3/market/ticker/bookTicker
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重4

获取最优买卖价 › 查询参数

symbol
​string

单个交易对,与 symbols 互斥。

symbols
​array

多个交易对,支持逗号分隔或 JSON 数组。

获取最优买卖价 › 响应

200

成功响应

​object[]
symbol
​string

交易对。

bidPrice
​string

最优买价。

bidQty
​string

最优买量。

askPrice
​string

最优卖价。

askQty
​string

最优卖量。